@font-face {
  font-family: 'password';
  src: url('/fonts/password/password2.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}
[txtbox][password] {
  text-security: disc;
  -webkit-text-security: disc;
  -moz-text-security: disc;
}
.press_rule.selected {
background-color: rgba(0,0,192,0.5);
}
#joyquestion {
position: fixed;
left: 50%;
top: 50%;
  transform: translate(-50%, -50%);
background-color: rgba(255, 255, 255, 0.6);
padding: 16px;
border-radius: 6px;
text-align: center;
border: 1px solid #000000;
text-shadow: none !important;
}
span, div {
background: transparent;
}
#emuspeed, #frameskip {
/*-moz-appearance: none;
-webkit-appearance: none;*/
appearance: none;
}
select,select:hover,select:active {
outline: none;
}
select.selecthighlight {
background: linear-gradient(to bottom , #aa0000 0%, #ff0000 100%) !important;
}
.keyhover,.keytouched {
fill: #ff8800 !important;
}
html,body {
overflow: hidden;
background-color: #000000;
-webkit-transform: translate3d(0,0,0); /* scrolling page jump bug fix */
}
body {
  font-family: Arial;
  color: #000045 !important;
  font-size: 20px;
  
  

  
}
.inptbl {
  overflow-x: scroll; 
  white-space: nowrap;
background-color: rgba(192,192,192,0.1);
  border-top: 1px solid rgba(192,192,192,0.2);	
border-bottom: 1px solid rgba(0, 0, 0, 0.46);
height: 280px;
}
#mapinput {
  overflow-y:scroll;
  overflow-x: hidden;
  white-space: nowrap;
  padding-top: 0px !important;
}

#maptxt {
font-size: 12px;
cursor: row-resize;
padding:8px;
}
#maptxt {
border-top: 1px solid #000000;
border-bottom: 1px solid #000000;
background-image: linear-gradient(rgb(160, 160, 160) 0px, rgb(0, 0, 0) 100%) !important;
}

#listgamepads {
  margin: 0px !important;
}

#maincontent1 {
  /*background-image: url('/blacknred.jpg');*/
  background-image: linear-gradient(to bottom right,#e42045,#792d8d);
  
  
  /*background-image: linear-gradient(to bottom right,#a42045,#000000);*/
  /*background-image: url('/images/zelda2.jpg');*/
  background-repeat: no-repeat;
  background-size: cover;
  background-attachment: fixed;
  
  /*background-color: #e42045;*/
  
  
  
  
  
  
  
  background-image: linear-gradient(to bottom ,#4e6699,#000000);
}

#maincontent1.red {
  background-image: linear-gradient(to bottom right,#e42045,#792d8d);
  background-image: linear-gradient(to bottom right,#a42045,#000000);
}

#maincontent2 {
  
  opacity: 0.0;
  
  background-image: linear-gradient(to bottom right,#792d8d,#e42045);
  
  
  
  
  
  background-image: linear-gradient(to  bottom,#4e6699,#a42045);
  
  background-image: linear-gradient(to bottom ,#000000,#777777); /* looks good on tv */
  
  background-image: linear-gradient(to bottom, #4e6699 0%, rgba(192, 0,0, 1.0) 100%);
  
  
}

@keyframes animbg {
  0% {
    opacity: 0.0;
  }
  100% {
    opacity: 1.0;
  }
}

#maincontent2.gray {
  background-image: linear-gradient(to bottom ,#000000,#777777) !important;
}

html body .vwhidden {
  /*display: none !important;*/
}

body:not(.zelda).library-shown #maincontent2.anim {
  /*animation: animbg 4500ms 2;*/
  animation: animbg 8000ms infinite;
  /*animation-timing-function: ease-in-out;*/
  animation-timing-function: linear;
  animation-delay: 0s;
  animation-fill-mode: both;
  animation-direction: alternate;
}

body:not(.library-shown) #maincontent2, body.zelda #maincontent2 {
  /*animation: none;*/
  animation-iteration-count: 1 !important;
}

#maincontent3 {
  
  /*background-image: url('images/new_BG.jpg');
  opacity: 0.2;
  background-repeat: no-repeat;
  background-size: cover;
  background-attachment: fixed;
  background-position: 50% 50%;*/
}

body:not(.zelda) #maincontent3 {
    box-shadow: inset 0px 0px 360px rgba(0,0,0,1.0);
  /*background-image: url('http://hub.cloudretro.com/images/tilesq.png');*/
  background-repeat: repeat;
  /*background-color: #555555;
  opacity: 0.4;*/
}
body:not(.zelda) .listing {
  box-shadow: inset 0px 0px 60px rgba(0,0,0,0.9);
}


body.zelda #maincontent3 {
  /**/
  opacity: 0.2;
  background-repeat: no-repeat;
  background-size: cover;
  background-attachment: fixed;
  background-position: 50% 50%;
  background-image: url('/wallpaper/ashfield2.jpg');
  background-image: url('https://wallimpex.com/data/out/297/mountain-sunset-wallpapers-6766756.jpg');
  background-image: url('https://www.mysmokymountainpark.com/.image/t_share/MTQ3NDA5MDY4NTU3MDE4NjA2/sm-newfound-gap-sunset_dp_680.jpg');
  background-image: url('/wallpaper/zelda.jpg');
  opacity: 0.6;
}

.scrolllisting {
  /*zoom: 125% !important;*/
}



*:not(select) {
  box-sizing: border-box;
}
.library {
  position:relative !important;
}
html,body,iframe {
scrollbar-base-color: #000000;
scrollbar-base-color: #000000;
scrollbar-3dlight-color: #111111;
scrollbar-highlight-color: #111111;
scrollbar-track-color: #555555;
scrollbar-arrow-color: #ffffff;
scrollbar-shadow-color: #111111;
scrollbar-dark-shadow-color: #111111;
}
.chatscreen {
background-color: rgba(220, 220, 220,0.5);
}
::-webkit-scrollbar-button {
  width: 0px;
  height: 0px;
}
::-webkit-scrollbar-thumb {
  background: #e1e1e1;
  border: 0px none #ffffff;
  border-radius: 50px;
}
::-webkit-scrollbar-thumb:hover {
  background: #ffffff;
}
::-webkit-scrollbar-thumb:active {
   background: #000000;
}
::-webkit-scrollbar-track {
  background: #000000;
  border: 0px none #ffffff;
  border-radius: 50px;
}
::-webkit-scrollbar-track:hover {
  background: #666666;
}
::-webkit-scrollbar-track:active {
background: #333333;
}
::-webkit-scrollbar-corner {
      background: transparent;
}
.launch_detail_value {
/*font-weight: bold; */
text-shadow: 1px 1px 2px #ffffff;
}
.launch_detail_title {
font-style: italic;
font-weight: bold; 
color: #adadad;
text-shadow: 1px 1px 2px #555555;
}
#titlebutton {
font-size:1.2em !important;
}

html, body, .wrapper, #rominfo table, #rominfo tr, #rominfo td, .wrapper table, .wrapper tr, .wrapper td, iframe {
  height:100%;
  width: 100%;
  margin: 0;
  padding: 0;
  border: 0;
  border-spacing: 0 !important;
}
.wrapper td {
  vertical-align: middle;
  text-align: center;
  height: 100%;
  width: 100%;
}
.ROM, .ROM div, .ROM span {
  white-space: nowrap;
}
.ROM span {
  display: table-cell;
}
.library table, .ROM, .ROM td, .ROM table, .ROM div, .ROM span {
  height: auto;
}

.ROM:hover {
    background-color: #4E6699;
    text-decoration: underline;
  cursor: pointer;
}
      /*<g id="g12007" transform="matrix(2.9042238,0,0,2.9042238,-597.29495,-994.37335)">
      <path id="rect12003" fill="#DDDDDD" d="M370.572,484.842h20.578c0.907,0,1.643,0.736,1.643,1.643v20.578
        c0,0.907-0.736,1.643-1.643,1.643h-20.578c-0.908,0-1.643-0.736-1.643-1.643v-20.578
        C368.929,485.577,369.665,484.842,370.572,484.842z"/>
      <path id="path12005" fill="#FF0000" d="M390.65,496.875c0,5.402-4.379,9.78-9.78,9.78c-5.402,0-9.781-4.379-9.781-9.78
        s4.379-9.78,9.781-9.78C386.271,487.094,390.65,491.473,390.65,496.875z"/>
    </g>*/
#g12007:hover>#path12005, #path3812:hover {
cursor: pointer;
fill: #ace63c !important; 
}

.fall {
pointer-events: none;
}

.tabselected {
box-shadow: 0px 0px 16px #Ff3300;
  box-shadow: inset 0 0 20px rgba(255, 192, 0, 0.9);
  background: linear-gradient(to bottom, rgba(255, 192, 0, 0.5) 5%,rgba(255, 192, 0, 0.9) 52%) !important;
  border: 1px dotted #ffffff !important;
}
.active.display:not([txtbox]):not([txtarea]) {
  box-shadow: 0px 0px 16px #Ff3300;
  box-shadow: inset 0 0 20px rgba(255, 192, 0, 0.9);
  background: linear-gradient(to bottom, rgba(255, 192, 0, 0.5) 5%,rgba(255, 192, 0, 0.9) 52%);
  border: 1px dotted #ffffff;

}
body .active#keybtxt {
box-shadow: 0px 0px 16px #Ff3300;
  box-shadow: inset 0 0 20px rgba(255, 192, 0, 0.9);
  background: linear-gradient(to bottom, rgba(255, 192, 0, 0.5) 5%,rgba(255, 192, 0, 0.9) 52%) !important;
  border: 1px dotted #ffffff;
}

.kbkey[active] {
fill: rgba(255, 192, 0, 0.9) !important;
}

.thumbnail_img {
background-size: contain;
background-repeat: no-repeat;
  background-position: center center;
}

option {
color: black !important;
padding: 3px !important;
}

select.current {
    border: 2px solid #ff0000 !important;
}

[txtbox], input[type='text'], input[type='password'], select {
border: 1px solid #000000;
padding: 8px;
border-radius: 4px;
background: #f7f7f7;
/*background: -moz-linear-gradient(top, #f7f7f7 5%, #ffffff 52%);
background: -webkit-gradient(linear, left top, left bottom, color-stop(5%,#f7f7f7), color-stop(52%,#ffffff));
background: -webkit-linear-gradient(top, #f7f7f7 5%,#ffffff 52%);
background: -o-linear-gradient(top, #f7f7f7 5%,#ffffff 52%);
background: -ms-linear-gradient(top, #f7f7f7 5%,#ffffff 52%);*/
background: linear-gradient(to bottom, #f7f7f7 5%,#ffffff 52%);
filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#f7f7f7', endColorstr='#ffffff',GradientType=0 );
font-size: 17px;
/*margin-bottom: 10px;*/
}

.inputselect table,.inputselect tr,.inputselect td {
width: auto;
height: auto;
padding: 10px;
}
@media only screen and (max-width: 600px)
{
#libcontent h1 {
  font-size: 4.4vw !important;
}
}

html {
  overflow: hidden;
position: fixed;
}
body {
  overflow: hidden;
position: fixed;
}

#showgamepads, #showgamepads * {
cursor: pointer;
}
.gamepadcontrols {
text-align: left;
color: #ffffff;
font-size: 16px;
}

*:not(input):not(textarea):not(.fileedit):not(.cfgline):not([txtarea]):not([txtbox]) {
-webkit-touch-callout:none;
-webkit-user-select:none;
-khtml-user-select:none;
-moz-user-select:none;
-ms-user-select:none;
user-select:none;
-webkit-tap-highlight-color:rgba(0,0,0,0);
} 

.presentInput {
position: fixed !important;
top: -60px;
/*transform: translateY(-50%) !important;*/
left: 50%;
transform: translateX(-50%) !important;
  /*transition: top 4s, left 4s !important;*/
z-index: 99999992 !important;
}

.gamepadcontrol {
margin: 6px;
background-color: rgba(200, 200, 200, 0.2);
padding:6px;
min-width: 150px;
border: 1px solid rgba(0, 0, 0, 0);
}
video {
 /* object-fit: fill;*/
}
#showgamepads .controltitle {
display: inline-block;
width: 100%;
padding:4px;
color: #ffffff;
border-bottom: 1px solid #cccccc;
}

#showgamepads .controlvalue {
font-size: 14px;
display: inline-block;
width: 100%;
padding:4px;
text-align:right;
}
.red {
background-color: #aa0000 !important;
}

.gamepadcontrol:hover {
border: 1px solid #ff0000;
box-shadow: 0 0 20px #ffcc00;
}

p.gamepadtitle {
  font-size: 20px;
  padding-top: 4px;
  padding-bottom: 12px;
  margin: 0;

  color: #ffffff;
  font-size: 1.25em;
  font-size: 17px;
  text-shadow: 2px 2px 4px #000000;

text-align: left;
}

.val {
font-size: 1.2em !important;
color: #ffcc00 !important;
}

.valrow {
font-size: 1.7em;
padding: 4px;
text-align: center;
}
.press_rule select {
height: 30px;
padding:2px;
font-size: 15px;
}
.press_rule p {
margin: 2px;
}

.settings {
overflow-y: scroll !important;
}

.between {
display: inline-block;
padding-left: 18px;
padding-right: 18px;
}

.kbkey {
cursor: pointer;
}
.keytxt, .keytxt * {
pointer-events: none !important;
}
#softkeycontainer, #softkey {
pointer-events: none;
}

#softkeybg, #softkeybg *, #svg_keyboard, #svg_keyboard * {
pointer-events: auto;
}

#softkey {
bottom: 35px;
}
#keybtxt {
font-size: 12px;
cursor: pointer;
padding:8px;
height: 37px;
line-height: 37px;
}
#keybtxt {
border-top: 1px solid #000000;
border-bottom: 1px solid #000000;
box-shadow: inset 0px 1px 0px 0px #333333 !important;
background-image: linear-gradient(rgb(73, 73, 73) 0px, rgb(0, 0, 0) 100%) !important;

}
#keybtxt.visible {
background-image: linear-gradient(rgb(0, 0, 0) 0px, rgb(73, 73, 73) 100%) !important;
}

.kbkey[pushed] {
fill: #AA0000 !important;
}
.keytxt[pushed] {
fill: #ffffff !important;
}
.attention {
display: inline-block;
padding-left: 8px;
padding-right: 8px;
color: #8888ff !important;
}

#toast-container {
margin-top:50px;
}

#selectboxblock button {
color: white !important;
text-shadow: none !important;
}

[show] {
display: none !important;
}

body.mousemoved .show_onmouse {
display: block !important;
}
body.touched .show_ontouch {
display: block !important;
}

body.hideControls .show_onmouse, body.hideControls .show_ontouch {
display: none !important;
}

@keyframes animatedBackground {
0% { background-position: 0 0; }
20% { background-position: 0 0; }
50% { background-position: 100% 100%; }
70% { background-position: 100% 100%; }
100% { background-position: 0 0; }
}
#newgame {
animation: animatedBackground 8s linear infinite;
}